# $Revision: 1.10 $, $Date: 2002/08/10 12:46:44 $
#
# Conditional build:
# _with_dynagraph - with dynagraph program (they say it requires gcc 3.1;
#	it builds with 2.95.4, but doesn't seem to work - fstream problems)
#
Summary:	Graph Visualization Tools
Summary(pl):	Narzdzie do wizualizacji w postaci grafw
Name:		graphviz
Version:	1.8.9
Release:	1
License:	custom (AT&T)
Group:		X11/Applications/Graphics
Source0:	http://www.graphviz.org/pub/graphviz/%{name}-%{version}.tar.gz
Patch0:		%{name}-lt14d.patch
# must wait
#Patch1:	%{name}-system-gd.patch
URL:		http://www.graphviz.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	gawk
#BuildRequires:	gd-devel(gif) >= 2.0.1
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	tcl-devel >= 8.3.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in barcharts).

%description -l pl
Kolekcja narzdzi oraz pakietw tcl sucych do manipulacji i
rozmieszczania grafw.

%package graphs
Summary:	Demo graphs for graphviz
Summary(pl):	Przykadowe grafy dla graphviza
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}

%description graphs
This package provides some example graphs.

%description graphs -l pl
Ten pakiet zawiera troch przykadowych grafw.

%package tcl
Summary:	Tcl extension tools for graphviz
Summary(pl):	Rozszerzenia Tcl dla graphviza
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}

%description tcl
This package contains the various tcl packages (extensions) using
graphviz.

%description tcl -l pl
Ten pakiet zawiera rne pakiety (rozszerzenia) tcl uywajce
graphviza.

%package devel
Summary:	Header files for graphviz libraries
Summary(pl):	Pliki nagwkowe do bibliotek graphviz
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains the header files for graphviz libraries.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe do bibliotek graphviz.
%prep
%setup -q
if grep -q '^VERSION=1\.4d$' /usr/bin/libtool ; then
%patch0 -p1
fi
# requires gd with GIF support - must wait for patched gd...
#%patch1 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	%{?_with_dynagraph:--with-dynagraph}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# tcl doesn't find pkgIndex.tcl outside /usr/lib...
install -d $RPM_BUILD_ROOT/usr/lib/graphviz
sed -e "s@\$dir @%{_libdir}/graphviz/@" $RPM_BUILD_ROOT%{_libdir}/graphviz/pkgIndex.tcl \
	> $RPM_BUILD_ROOT/usr/lib/graphviz/pkgIndex.tcl

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog FAQ.txt NEWS doc/*.pdf
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/graphviz
# *.so links are needed here for tcl
%attr(755,root,root) %{_libdir}/graphviz/lib*.so*
%dir %{_datadir}/graphviz
%{_datadir}/graphviz/lefty
%{_mandir}/man1/*

%files graphs
%defattr(644,root,root,755)
%{_datadir}/graphviz/graphs

%files tcl
%defattr(644,root,root,755)
%dir /usr/lib/graphviz
/usr/lib/graphviz/pkgIndex.tcl
%{_mandir}/mann/*
%dir %{_datadir}/graphviz/demo
%{_datadir}/graphviz/demo/pathplan_data
%{_datadir}/graphviz/demo/*.*
%attr(755,root,root) %{_datadir}/graphviz/demo/dge
%attr(755,root,root) %{_datadir}/graphviz/demo/doted
%attr(755,root,root) %{_datadir}/graphviz/demo/entities
%attr(755,root,root) %{_datadir}/graphviz/demo/gcat
%attr(755,root,root) %{_datadir}/graphviz/demo/ihi
%attr(755,root,root) %{_datadir}/graphviz/demo/pathplan
%attr(755,root,root) %{_datadir}/graphviz/demo/spline

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/graphviz/lib*.la
%{_includedir}/graphviz
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: graphviz.spec,v $
Revision 1.10  2002/08/10 12:46:44  qboosh
- updated to 1.8.9
- split based on supplied .spec file
- fixed tcl extensions
- libtool 1.4d compatibility patch

Revision 1.9  2002/08/05 12:10:53  mmazur
- fixed %files

Revision 1.8  2002/08/05 00:19:08  marcus
- updated to 1.8.8 (%%files need fixing)

Revision 1.7  2002/06/23 20:32:28  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.6  2002/05/21 23:13:29  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/19 00:15:55  qboosh
- added ">= 2.0.0" to BR: freetype-devel; sorted/cleaned BRs where necessary

Revision 1.4  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.3  2002/04/10 16:07:46  kloczek
- added "rm -f missing" on top %build.

Revision 1.2  2002/04/10 10:26:24  zagrodzki
- updated to 1.8.4
- STBR

Revision 1.1  2002/03/13 13:59:06  misiek
- initial pld release (nfy)
